/*
    Quick Log Entry (qle)
    Copyright (C) 2025  Thomas Cort

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.

    SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef QLE_ADIF_H
#define QLE_ADIF_H

#include <stdio.h>
#include <time.h>

#define QLE_ADIF_EOL "\r\n"

/* field seperator default vs compact format */
#define QLE_ADIF_FS_DEFAULT (QLE_ADIF_EOL)
#define QLE_ADIF_FS_COMPACT ("")
#define QLE_ADIF_RS_DEFAULT (QLE_ADIF_EOL QLE_ADIF_EOL)
#define QLE_ADIF_RS_COMPACT (QLE_ADIF_EOL)

/* data type indicators */
#define QLE_ADIF_DTI_STRING ("S")

void qle_adif_data_specifier(FILE *output, char *field, char *value, char *data_type_indicator);
void qle_adif_header(FILE *output, time_t input_mtime, char *input_file);
void qle_adif_record(FILE *output, int compact);

#endif
